---
- name: Disable IPv6
  when: ipv6_disable|bool
  block:
    - name: Disable IPv6 for all
      ansible.posix.sysctl:
        name: net.ipv6.conf.all.disable_ipv6
        value: "1"
    - name: Disable IPv6 for default
      ansible.posix.sysctl:
        name: net.ipv6.conf.default.disable_ipv6
        value: "1"
    - name: Disable IPv6 for loopback
      ansible.posix.sysctl:
        name: net.ipv6.conf.lo.disable_ipv6
        value: "1"
    - name: Ensure localhost for IPv6 is absent
      ansible.builtin.include_tasks: hosts_file_disable.yml

- name: Enable IPv6
  when: not ipv6_disable|bool
  block:
    - name: Enable IPv6 for all
      ansible.posix.sysctl:
        name: net.ipv6.conf.all.disable_ipv6
        state: absent
    - name: Enable IPv6 for default
      ansible.posix.sysctl:
        name: net.ipv6.conf.default.disable_ipv6
        state: absent
    - name: Enable IPv6 for loopback
      ansible.posix.sysctl:
        name: net.ipv6.conf.lo.disable_ipv6
        state: absent
    - name: Ensure localhost for IPv6 is present
      ansible.builtin.include_tasks: hosts_file_enable.yml
